MsWrdParserInternal::SubDocument Class Reference documentation

MsWrdParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a MsWrdParser. More...

Inheritance diagram for MsWrdParserInternal::SubDocument:

## Public Member Functions
| SubDocument (MsWrdParser &pars, MWAWInputStreamPtr const &input, int id, libmwaw::SubDocumentType type)
| constructor for footnote, comment
| SubDocument (MsWrdParser &pars, MWAWInputStreamPtr const &input, MWAWEntry const &entry, libmwaw::SubDocumentType type)
| constructor for header/footer
| SubDocument (MsWrdParser &pars, MWAWInputStreamPtr const &input, long fPos, int cPos)
| constructor for picture
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes
int | m_id
| the subdocument id
libmwaw::SubDocumentType | m_type
| the subdocument type
long | m_pictFPos
| the picture file position
int | m_pictCPos
| the picture char position
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Detailed Description

Internal: the subdocument of a MsWrdParser.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

MsWrdParserInternal::SubDocument::SubDocument | ( | MsWrdParser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | int | id,
|  | libmwaw::SubDocumentType | type )
| inline

constructor for footnote, comment

Referenced by operator!=().

## ◆ SubDocument() [2/3]

MsWrdParserInternal::SubDocument::SubDocument | ( | MsWrdParser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | MWAWEntry const & | entry,
|  | libmwaw::SubDocumentType | type )
| inline

constructor for header/footer

## ◆ SubDocument() [3/3]

MsWrdParserInternal::SubDocument::SubDocument | ( | MsWrdParser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | long | fPos,
|  | int | cPos )
| inline

constructor for picture

## ◆ ~SubDocument()

MsWrdParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## Member Function Documentation

## ◆ operator!=()

bool MsWrdParserInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| finalvirtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ parse()

void MsWrdParserInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )
| finalvirtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_id

int MsWrdParserInternal::SubDocument::m_id
| protected

the subdocument id

Referenced by operator!=(), parse(), SubDocument(), SubDocument(), and SubDocument().

## ◆ m_pictCPos

int MsWrdParserInternal::SubDocument::m_pictCPos
| protected

the picture char position

Referenced by operator!=(), parse(), SubDocument(), SubDocument(), and SubDocument().

## ◆ m_pictFPos

long MsWrdParserInternal::SubDocument::m_pictFPos
| protected

the picture file position

Referenced by operator!=(), parse(), SubDocument(), SubDocument(), and SubDocument().

## ◆ m_type

libmwaw::SubDocumentType MsWrdParserInternal::SubDocument::m_type
| protected

the subdocument type

Referenced by operator!=(), parse(), SubDocument(), SubDocument(), and SubDocument().

The documentation for this class was generated from the following file:

- MsWrdParser.cxx